/*
 * linux/arch/arm/boot/compressed/head-at91rm9200.S
 *
 *  Copyright (C) 2003 SAN People
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */
#include <asm/mach-types.h>

		.section	".start", "ax"

		@ Atmel AT91RM9200-DK : 262
		mov	r3,	#(MACH_TYPE_AT91RM9200DK & 0xff)
		orr	r3, r3, #(MACH_TYPE_AT91RM9200DK & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Cogent CSB337 : 399
		mov	r3,	#(MACH_TYPE_CSB337 & 0xff)
		orr	r3, r3, #(MACH_TYPE_CSB337 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Cogent CSB637 : 648
		mov     r3,     #(MACH_TYPE_CSB637 & 0xff)      
		orr     r3, r3, #(MACH_TYPE_CSB637 & 0xff00)      
		cmp	r7, r3
		beq	99f

		@ Atmel AT91RM9200-EK : 705
		mov	r3,	#(MACH_TYPE_AT91RM9200EK & 0xff)
		orr	r3, r3, #(MACH_TYPE_AT91RM9200EK & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Conitec Carmeva : 769
		mov	r3,	#(MACH_TYPE_CARMEVA & 0xff)
		orr	r3, r3, #(MACH_TYPE_CARMEVA & 0xff00)
		cmp	r7, r3
		beq	99f

		@ KwikByte KB920x : 612
		mov	r3,	#(MACH_TYPE_KB9200 & 0xff)
		orr	r3, r3, #(MACH_TYPE_KB9200 & 0xff00)
		cmp	r7, r3
		beq	99f
		
		@ Artila Matrix520 : 1332
		mov	r3,	#(MACH_TYPE_MATRIX520 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX520 & 0xff00)
		cmp	r7, r3
		beq	99f
		
		@ Artila Matrix510 : 1333
		mov	r3,	#(MACH_TYPE_MATRIX510 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX510 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Artila Matrix500 : 1334
		mov	r3,	#(MACH_TYPE_MATRIX500 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX500 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Artila M501 : 1335
		mov	r3,	#(MACH_TYPE_M501 & 0xff)
		orr	r3, r3, #(MACH_TYPE_M501 & 0xff00)
		cmp	r7, r3
		beq	99f	
	
		@ Artila M501 : 1335
		mov	r3,	#(MACH_TYPE_M501_SOM & 0xff)
		orr	r3, r3, #(MACH_TYPE_M501_SOM & 0xff00)
		cmp	r7, r3
		beq	99f			

		@ Artila Matrix500ev : 1337
		mov	r3,	#(MACH_TYPE_MATRIX500EV & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX500EV & 0xff00)
		cmp	r7, r3
		beq	99f				
		
		@ Artila PAC500 : 1338
		mov	r3,	#(MACH_TYPE_PAC500 & 0xff)
		orr	r3, r3, #(MACH_TYPE_PAC500 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Artila MATRIX512 : 1470
		mov	r3,	#(MACH_TYPE_MATRIX512 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX512 & 0xff00)
		cmp	r7, r3
		beq	99f	

		@ Artila MATRIX522 : 1471
		mov	r3,	#(MACH_TYPE_MATRIX522 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX522 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Artila IPAC5010 : 1472
		mov	r3,	#(MACH_TYPE_IPAC5010 & 0xff)
		orr	r3, r3, #(MACH_TYPE_IPAC5010 & 0xff00)
		cmp	r7, r3
		beq	99f

		
		@ Artila MATRIX514 : 1487
		mov	r3,	#(MACH_TYPE_MATRIX514 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX514 & 0xff00)
		cmp	r7, r3
		beq	99f	
	
		@ Artila MATRIX514 : 1488
		mov	r3,	#(MACH_TYPE_MATRIX524 & 0xff)
		orr	r3, r3, #(MACH_TYPE_MATRIX524 & 0xff00)
		cmp	r7, r3
		beq	99f	
		
		@ Artila MATRIX514 : 1489
		mov	r3,	#(MACH_TYPE_IPAC5070 & 0xff)
		orr	r3, r3, #(MACH_TYPE_IPAC5070 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Artila M508 : 1490
		mov	r3,	#(MACH_TYPE_M508 & 0xff)
		orr	r3, r3, #(MACH_TYPE_M508 & 0xff00)
		cmp	r7, r3
		beq	99f

		@ Unknown board, use the AT91RM9200DK board
		@ mov	r7, #MACH_TYPE_AT91RM9200
		mov	r7,	#(MACH_TYPE_AT91RM9200DK & 0xff)
		orr	r7, r7, #(MACH_TYPE_AT91RM9200DK & 0xff00)

99:
