
#define little_end(y) (((y & 0x80) >> 7) + ((y & 0x40) >> 5) + ((y & 0x20) >> 3) \
	+ ((y & 0x10) >> 1) + ((y & 0x08) << 1) + ((y & 0x04) << 3) + \
	((y & 0x02) << 5) + ((y & 0x01) << 7) )

#define LCD_DRIVER	"Artila WG16080A LCM driver"

#define MaxRow_1             79
#define LCD_CHARS_PER_LINE	1028 *2

#define LCD_Init_T		1
#define LCD_Init_G		2
#define LCD_Clear_All		3
#define LCD_Write_T		4
#define LCD_Write_G		5
#define LCD_Write_G_P		5
//#define LCD_ROW_LINE		6
//#define LCD_COLUMN_LINE		7

struct lcd_display {
	int column;
	int row;
	int x;
	int y;
	unsigned char flag; 
	unsigned char buffer[LCD_CHARS_PER_LINE];
};

