/*
 * include/asm-arm/arch-nadia2/ac97c.h
 *
 *  Copyright (C) 2005 M. Amine SAYA, ATMEL Rousset, France.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */


#ifndef __ASM_ARCH_AC97C_H
#define __ASM_ARCH_AC97C_H


#include <asm/arch/nadia2_ac97c.h>
#include <asm/arch/nadia2_pdc.h>
#include <asm/arch/pmc.h>

// Clock management functions
static inline void at91_ac97c_clock_enable (void) 
{
       at91_enable_periph_clock(AT91C_ID_AC97C);
}


static inline void at91_ac97c_clock_disable (void) 
{
       at91_disable_periph_clock(AT91C_ID_AC97C);
}


// PIO management functions
void at91_ac97c_drive_reset(unsigned int value)
{
       at91_gpio_set_level(AT91C_VA_BASE_PIOA, 13, value);
}


#endif
